var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";

function ChartContrastBarOff(props) {
  return _jsxs("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: [_jsx("g", __assign({
      opacity: 0.2
    }, {
      children: _jsxs("g", __assign({
        opacity: 0.8
      }, {
        children: [_jsx("path", {
          opacity: 0.4,
          d: "M22.167 15.042v3.667H9.333a1.833 1.833 0 010-3.667h12.834z",
          fill: "url(#chart_contrast_bar_off0_linear)"
        }, void 0), _jsx("path", {
          d: "M25.832 15.042v3.667h12.833a1.833 1.833 0 000-3.667H25.832z",
          fill: "url(#chart_contrast_bar_off1_linear)"
        }, void 0), _jsx("path", {
          opacity: 0.4,
          d: "M22.167 7.708v3.667h-7.334a1.833 1.833 0 010-3.667h7.334z",
          fill: "url(#chart_contrast_bar_off2_linear)"
        }, void 0), _jsx("path", {
          d: "M25.832 7.708v3.667h7.333a1.833 1.833 0 000-3.667h-7.333z",
          fill: "url(#chart_contrast_bar_off3_linear)"
        }, void 0), _jsx("path", {
          opacity: 0.4,
          d: "M22.17 22.374v3.667H3.838a1.833 1.833 0 110-3.667h18.334z",
          fill: "url(#chart_contrast_bar_off4_linear)"
        }, void 0), _jsx("path", {
          d: "M25.836 22.374v3.667h18.333a1.833 1.833 0 000-3.667H25.836z",
          fill: "url(#chart_contrast_bar_off5_linear)"
        }, void 0), _jsx("path", {
          opacity: 0.4,
          d: "M22.17 29.708v3.667h-11a1.833 1.833 0 110-3.667h11z",
          fill: "url(#chart_contrast_bar_off6_linear)"
        }, void 0), _jsx("path", {
          d: "M25.836 33.375v-3.667h11a1.833 1.833 0 110 3.667h-11z",
          fill: "url(#chart_contrast_bar_off7_linear)"
        }, void 0), _jsx("path", {
          opacity: 0.8,
          d: "M3.836 39.333c0-.253.205-.458.458-.458h39.417a.458.458 0 110 .917H4.294a.458.458 0 01-.458-.459z",
          fill: "#fff"
        }, void 0)]
      }), void 0)
    }), void 0), _jsxs("defs", {
      children: [_jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off0_linear",
        x1: 22.168,
        y1: 15.042,
        x2: 8.56,
        y2: 21.09,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off1_linear",
        x1: 25.832,
        y1: 15.042,
        x2: 39.44,
        y2: 21.09,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off2_linear",
        x1: 22.168,
        y1: 7.708,
        x2: 12.712,
        y2: 10.335,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off3_linear",
        x1: 25.832,
        y1: 7.708,
        x2: 35.288,
        y2: 10.335,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off4_linear",
        x1: 22.172,
        y1: 22.374,
        x2: 5.857,
        y2: 32.344,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off5_linear",
        x1: 25.836,
        y1: 22.374,
        x2: 42.151,
        y2: 32.344,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off6_linear",
        x1: 22.168,
        y1: 29.708,
        x2: 9.782,
        y2: 34.525,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_contrast_bar_off7_linear",
        x1: 25.836,
        y1: 33.375,
        x2: 38.222,
        y2: 28.558,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0)]
    }, void 0)]
  }), void 0);
}

export var ReactComponent = ChartContrastBarOff;
export default ChartContrastBarOff;

